load 'filtereddata/inndata_2_3'
load 'filtereddata/inndata_3_3'
load 'filtereddata/inndata_1_2'
load 'filtereddata/utdata_2_3'
load 'filtereddata/utdata_3_3'
load 'filtereddata/utdata_1_2'

%% Create first order estimation
for l=1:4
   if l<4
       [F_e(:,l),Fval_e(:,l),Ftest_e(:,l)] = FirstOrderEstimation(length(inndata_2_3),length(inndata_3_3), length(inndata_1_2),1,inndata_2_3(:,l),utdata_2_3,inndata_3_3(:,l),utdata_3_3,inndata_1_2(:,l),utdata_1_2); 
       F_e(:,l) = smooth(F_e(:,l),10);
       Fval_e(:,l) = smooth(Fval_e(:,l),10);
       Ftest_e(:,l) = smooth(Ftest_e(:,l),10);
   else
       [F_e(:,l),Fval_e(:,l),Ftest_e(:,l)] = FirstOrderEstimation(length(inndata_2_3),length(inndata_3_3), length(inndata_1_2),4,inndata_2_3,utdata_2_3,inndata_3_3,utdata_3_3,inndata_1_2,utdata_1_2);
       F_e(:,l) = smooth(F_e(:,l),10);
       Fval_e(:,l) = smooth(Fval_e(:,l),10);
       Ftest_e(:,l) = smooth(Ftest_e(:,l),10);
   end
end
clear l;
%% Create second order estimation
for l=1:4
   if l<4
        [F2_e(l,:),F2val_e(l,:),F2test_e(l,:)] = secondOrderEstimation(length(inndata_2_3),length(inndata_3_3), length(inndata_1_2),1,inndata_2_3(:,l)',utdata_2_3',inndata_3_3(:,l)',utdata_3_3',inndata_1_2(:,l)',utdata_1_2');
        F2_e(l,:) = smooth(F2_e(l,:),10);
        F2val_e(l,:) = smooth(F2val_e(l,:),10);
        F2test_e(l,:) = smooth(F2test_e(l,:),10);
   else
        [F2_e(l,:),F2val_e(l,:),F2test_e(l,:)] = secondOrderEstimation(length(inndata_2_3),length(inndata_3_3), length(inndata_1_2),4,inndata_2_3',utdata_2_3',inndata_3_3',utdata_3_3',inndata_1_2',utdata_1_2');
        F2_e(l,:) = smooth(F2_e(l,:),10);
        F2val_e(l,:) = smooth(F2val_e(l,:),10);
        F2test_e(l,:) = smooth(F2test_e(l,:),10);
   end
end
clear l;

%% Create estimation from GP
load v_400_2600.mat;
b = v.state.bestsofar;
Fgp_e = smooth(str2num(evaluate_tree(b.tree,inndata_2_3)),10);
Fgpval_e = smooth(str2num(evaluate_tree(b.tree,inndata_3_3)),10);
Fgptest_e = smooth(str2num(evaluate_tree(b.tree,inndata_1_2)),10);

%% Run 50 Neural Networks and select the best for use :)
if trainnet == 1
    best_rmse = 10000;
    for k =1:50
        [Fn_e,Fnval_e,Fntest_e, net] = neuralNetwork(length(inndata_2_3),length(inndata_3_3), length(inndata_1_2),4,1,inndata_2_3',utdata_2_3',inndata_3_3',utdata_3_3','tansig',4,inndata_1_2',utdata_1_2',0);
        rmse = rmsError(Fn_e,utdata_2_3');
        if rmse < best_rmse
            best_rmse = rmse;
            best_net = net;
        end
    end
end

%% No need to train neural nets when we have one.
if trainnet ==0
    load net_best.mat;
    Fn_e = smooth(sim(net,inndata_2_3'),10);
    Fnval_e = smooth(sim(net,inndata_3_3'),10);
    Fntest_e = smooth(sim(net,inndata_1_2'),10);
end

%% Add measured force to vectors
F_e(:,5) = utdata_2_3;
Fval_e(:,5) = utdata_3_3;
Ftest_e(:,5) = utdata_1_2;

F2_e(5,:) = utdata_2_3;
F2val_e(5,:) = utdata_3_3;
F2test_e(5,:) = utdata_1_2;

F2_e = F2_e';
F2val_e = F2val_e';
F2test_e = F2test_e';



if(plotfig==1)
    %%
    t = 0:0.025:(length(inndata_2_3)*0.025-0.025);
    figure;
    ylim([-0.5 4])
    hold all;
    %plot(t,F_e(:,4),':', t,F2_e(:,4),'--',t, Fn_e',t,Fgp_e, t,F_e(:,5),'g',t,inndata_2_3(:,4));
    plot(t,F_e(:,4),':', t,F2_e(:,4),'--',t, Fn_e',t,Fgp_e, t,F_e(:,5),'g');
    legend('1.ordens','2. ordens','Nevralt nett','GP','Muskelkraft')
    title('Treningsdata')
    set(gcf, 'PaperUnits', 'centimeters');
    set(gcf, 'PaperSize', [20 5]);
    set(gcf, 'PaperPosition', [0 0 20 5]);
    saveas(gcf,'plots/F_train.pdf','pdf')
        
    t = 0:0.025:(length(inndata_3_3)*0.025-0.025);
    figure;
    hold all;
    ylim([-0.5 4])
    plot(t,Fval_e(:,4),':', t,F2val_e(:,4),'--',t, Fnval_e',t,Fgpval_e, t,Fval_e(:,5),'g');
    legend('1.ordens','2. ordens','Nevralt nett','GP','Muskelkraft')
    title('Valideringsdata')
    set(gcf, 'PaperUnits', 'centimeters');
    set(gcf, 'PaperSize', [20 5]);
    set(gcf, 'PaperPosition', [0 0 20 5]);
    saveas(gcf,'plots/F_val.pdf','pdf')     
    
    t = 0:0.025:(length(inndata_1_2)*0.025-0.025);
    figure;
    ylim([-0.5 4])
    hold all;
    plot(t,Ftest_e(:,4),':', t,F2test_e(:,4),'--',t, Fntest_e',t,Fgptest_e, t,Ftest_e(:,5),'g');
    legend('1.ordens','2. ordens','Nevralt nett','GP','Maaling')
    title('Testdata');
    set(gcf, 'PaperUnits', 'centimeters');
    set(gcf, 'PaperSize', [20 5]);
    set(gcf, 'PaperPosition', [0 0 20 5]);
    saveas(gcf,'plots/F_test.pdf','pdf')
end