addpath '/home/simenaf/Dropbox/Master/Matlab/master/'

%% Define which set to import
%a = input('Which set do you wish to import?')
%% Set calibration constants
%load cell offset
lco = 0.1506;
%Strain gauge offset
sgo = 0;
% EMG offset
peo = 0;
%% import test data 
% Note, data must use . as decimal mark.
% Use sed -i 's/,/./g' *.lvm to convert from ,
% Data format %
% Time % EMG % Strain Gauge % N/A % Load Cell %
e0u = consolidate(lvm_import('rawdata/6/e0u.lvm'));
e50u = consolidate(lvm_import('rawdata/6/e50u.lvm'));
e100u = consolidate(lvm_import('rawdata/6/e100u.lvm'));
km1 = consolidate(lvm_import('rawdata/6/km.lvm'));
km2 = consolidate(lvm_import('rawdata/6/km2.lvm'));
km3 = consolidate(lvm_import('rawdata/6/km3.lvm'));

e0_start = 6000;% input('e0_start');
e0_end = 10000;% input('e0_end');
e50_start = 20000;% input('e50_start');
e50_end = 25000;% input('e50end')

%% calibrate emg filtering process (for whitening filter)
%EMGinfo e_cal(e0u , %MVC, e%MVCu, Hz, kausalitet, whitening, flerkanal,
%smoothingfilter, smoothingvindu.
EMGinfo = e_cal(e0u(e0_start:e0_end,2), 0.5, e50u(e50_start:e50_end,2), 1000,'Causality', 'Causal', 'WhiteFlag', 'Off', 'UncorrFlag','Off', 'SmoothFilt', 'MAV','SmoothFixWin', 200, 'HpassFlag', 'Filter', 'HpassWn', 0.01);
%EMGinfo = e_cal(e0u(1:5000,2), 0.5, e50u(1:5000,2) , 1000,'SmoothFixWin',
%100);

%% Low-pass filter and rectify strain gauges at 50Hz
[b,a] = butter(10, 50/(1000/2), 'low');
s_e0u = filtfilt(b,a, e0u(:,3))+sgo;
s_e0u = sqrt(s_e0u.^2);
s_e50u = filtfilt(b,a, e50u(:,3))+sgo;
s_e50u = sqrt(s_e50u.^2);
s_e100u = filtfilt(b,a, e100u(:,3))+sgo;
s_e100u = sqrt(s_e100u.^2);
s_km1 = filtfilt(b,a, km1(:,3))+sgo;
s_km1 = sqrt(s_km1.^2);
s_km2 = filtfilt(b,a, km2(:,3))+sgo;
s_km2 = sqrt(s_km2.^2);
s_km3 = filtfilt(b,a, km3(:,3))+sgo;
s_km3 = sqrt(s_km3.^2);

%% Calcultate pEMG/MES

[pe_km1 ] = e_amp(km1(:,2),s_km1,EMGinfo);
[pe_km2 ] = e_amp(km2(:,2),s_km2,EMGinfo);
[pe_km3 ] = e_amp(km3(:,2),s_km3,EMGinfo);

pe_e0u = e_amp(e0u(:,2),s_e0u,EMGinfo)+peo;
pe_e50u = e_amp(e50u(:,2),s_e50u,EMGinfo)+peo;
pe_e100u =e_amp(e100u(:,2),s_e100u,EMGinfo)+peo;

%% Low-pass filter load cell at 50Hz
[b,a] = butter(10, 50/(1000/2), 'low');
l_e0u = filtfilt(b,a, e0u(:,5))+lco;
l_e50u = filtfilt(b,a, e50u(:,5))+lco;
l_e100u = filtfilt(b,a, e100u(:,5))+lco;

l_km1 = filtfilt(b,a, km1(:,5))+lco;
l_km2 = filtfilt(b,a, km2(:,5))+lco;
l_km3 = filtfilt(b,a, km3(:,5))+lco;


%% Plot the outputs
figure;
subplot(2,2,1);
plot([l_km1 s_km1 pe_km1]);
title('e0u');
subplot(2,2,2);
plot([l_km2 s_km2 pe_km2]);
title('e50u');
subplot(2,2,3);
plot([l_km3 s_km3 pe_km3]);
legend('Load','Strain','sEMG')
% %%
% figure;
% subplot(2,2,1);
% plot([l_e0m s_e0m pe_e0m]);
% title('e0m');
% subplot(2,2,2);
% plot([l_e50m s_e50m pe_e50m]);
% title('e50m');
% subplot(2,2,3);
% plot([l_e100m s_e100m pe_e100m]);
% title('e10EMF0m');
% subplot(2,2,4);
% plot([l_km s_km pe_km]);
% title('km');
% legend('Load','Strain','sEMG')