function y=custom_tf(x1,const)
%CUSTON_TF    Creates a second order TF with poles in -5*const.
%   Returns the custom TF simulated with x1 as input. Sets any ingNANorIMG
%value to zeo
%
%
%   Input arguments:
%      X1 - The time series to simulate
%      const - 1/5th of the negative pole
%   Output arguments:
%      Y - the simulated output.
%
%   See also MYDIVIDE, MYSQRT, MYLOG, MYLOG2, MYLOG10
%
%   
lx1 = length(x1);
lconst = length(const);
if lx1>1 && lconst==1
    p1 = -const;
    s = tf('s');
    H = 1/((s-p1)*(s-p1));
    y = lsim(H,x1,0:0.025:(length(x1)*0.025-0.025));
    y(isnan(y) | isinf(y) | imag(y))=0;
else 
    y = zeros(lx1,1);
end
