function [F_e,Fval_e,Ftest_e] = secondOrderEstimation(Tdata,Tval,Ttest,N,Xdata,Fdata,Xvaldata,Fvaldata,Xtestdata,Ftestdata)
% function [F_e,Fval_e,Ftest_e] = secondOrderEstimation(Tdata,Tval,Ttest,N,Xdata,Fdata,Xvaldata,Fvaldata,Xtestdata,Ftestdata)

% Tdata, Tval ,Ttse = length of each vector
% N, number of inputs
% Xdata input data
% Fdata output data

%Find optimal W by least squares
%expand for w_0=const
X = [ones(1,Tdata)];

X = [X;  Xdata];


for k=N:-1:1
    X = [X ;(Xdata(1:k,1:Tdata).*Xdata(N-k+1:N,1:Tdata))];
end
W = X'\Fdata';
% Calculate F_e(X), theestimateof F(x)
F_e = W'*X;

%%%%%% Simulate using validation data
Xval=[ones(1,Tval)];
Xval = [Xval ; Xvaldata];

for k=N:-1:1
Xval = [Xval ;(Xvaldata(1:k,1:Tval).*Xvaldata(N-k+1:N,1:Tval))];
end

Fval_e = W'*Xval;

%%%%%% Simulate using testdata
Xtest=[ones(1,Ttest)];
Xtest = [Xtest ; Xtestdata];

for k=N:-1:1
Xtest = [Xtest ;(Xtestdata(1:k,1:Ttest).*Xtestdata(N-k+1:N,1:Ttest))];
end

Ftest_e = W'*Xtest;