function yout = smoothing(yin,N)

% SMOOTH.M: Smooths vector data.
%			YOUT=SMOOTH(YIN,N) smooths the data in YIN using a running mean
%			over N previous successive point.

if nargin<2, error('Not enough input arguments!'), end

[rows,cols] = size(yin);
if min(rows,cols)~=1, error('Y data must be a vector!'), end
if length(N)~=1, error('N must be a scalar!'), end


yin = (yin(:))';
l = length(yin);

yout = zeros(1,l);
yout(1) = yin(1);
for i=2:N
    yout(i) = mean([yout(i-1) yin(i)]);
end

for j=N:l
    yout(j) = mean(yin((j-N+1):j));
end

if size(yout)~=[rows,cols], yout = yout'; end