%% rungp.m
%This file will run a symbolic regression problem
% Simen Farstad 2009/01/12

%Set all gp parameters
p=resetparams;
p.savetofile='every10';
p.savename = sprintf('%d',k);
p=setoperators(p,'crossover',2,2,'mutation',1,1);
p.operatorprobstype='variable';
p.minprob=0;
p.hits = [100 10];
if verb == 0
 p.output = 'silent';
end

% Define the functions and terminals
p = setterminals(p,'rand','0.1','0.2','0.3','0.4','0.5','0.6','0.7','0.8','.9','1','1.1', '1.2')
p = setfunctions(p,'tan',1,'mylog',1,'mydivide',2,'mypower',2,'plus',2,'minus',2,'times',2,'sin',1,'cos',1,'mysqrt',1,'mytansig',1,'abs',1,'custom_tf',2,'myle',2);

p.sampling = 'tournament';
p.keepvalsize = '1500';

p.datafilex='inndata_2_3';
p.datafiley='utdata_2_3';
p.usetestdata=1;
p.testdatafilex='inndata_3_3';
p.testdatafiley='utdata_3_3';
p.calccomplexity=0;
p.depthnodes='2';
p.dynamiclevel='2';
p.lowerisbetter='1';
p.calcfitness='regfitness';
p.adjustfitness='linearppp';
p.calccomplexity=0;

% Run the problem
[v,b]=gplab(gen,nodes,p);

%%Save results
save(filenamev,'v')
end