function [EMGout HpassWn] = e_amp_nj(EMGin, SLin, EMGinfo)
%E_AMP_NJ Private global function to perform noise rejection.
%
% EMG Amplitude Estimation Toolbox - Ted Clancy - WPI

% Copyright (c) Edward A. Clancy, 2007.
% This work is licensed under the Aladdin free public license.
% For copying permissions see license.txt.
% email: ted@wpi.edu

% 5 February 2007.
HpassWn = 0;
d_Slin = zeros(length(SLin),1);
for i=1:length(SLin)
    if i<=100
    d_Slin(i) = SLin(i)-SLin(1);
    else
    d_Slin(i) = SLin(i)-SLin(i-100);
    end
end

[Erow, Ecol] = size(EMGin);

switch EMGinfo.HpassFlag
  case 'Filter'
    for i = 1:EMGinfo.Channels
      if Erow>Ecol
          
          for j = 100:100:length(EMGin)
            %EMGinfo.HpassWn = 1/(30+30*SLin(j)+150*sqrt(d_Slin(j).*d_Slin(j)));
            HpassWn = [HpassWn EMGinfo.HpassWn];
             %if j==1
             %   EMGout(1:100,i) = e_h_pass(EMGin(1:100,i), EMGinfo.HpassWn, EMGinfo.HpassOrder, EMGinfo.Causality);
             %else
                EMGout(j-100+1:j,i) = e_h_pass(EMGin(j-100+1:j,i), EMGinfo.HpassWn, EMGinfo.HpassOrder, EMGinfo.Causality);
            %end
          end
      
      else
        EMGout(i,:) = e_h_pass(EMGin(i,:), EMGinfo.HpassWn, EMGinfo.HpassOrder, EMGinfo.Causality);
      end
    end
    

    
  case 'Off'
    EMGout = EMGin;
  case 'Offset'
    for i = 1:EMGinfo.Channels
      if Erow>Ecol
        EMGout(:,i) = e_h_pass(EMGin(:,i), EMGinfo.HpassOffset(i), 'Offset');
      else
        EMGout(i,:) = e_h_pass(EMGin(i,:), EMGinfo.HpassOffset(i), 'Offset');
      end
    end
  otherwise, error(['Bogus "HpassFlag" = "' EMGinfo.HpassFlag '".']);
end
