function EMGout = e_amp_sm(EMGin, EMGinfo)
%E_AMP_SM Private global function to perform smoothing.
%
% EMG Amplitude Estimation Toolbox - Ted Clancy - WPI

% Copyright (c) Edward A. Clancy, 2007.
% This work is licensed under the Aladdin free public license.
% For copying permissions see license.txt.
% email: ted@wpi.edu

% 5 February 2007.

switch EMGinfo.SmoothFilt
  case 'MAV'
    EMGout = e_smooth(EMGin, EMGinfo.SmoothFixWin, EMGinfo.Causality, ...
         EMGinfo.SmoothEdges, EMGinfo.SmoothSum, 'MAV');
  case {'butter', 'ellip', 'cheby1', 'cheby2'}
    EMGout = e_smooth(EMGin, EMGinfo.SmoothOrder, EMGinfo.SmoothWn, ...
         EMGinfo.SmoothFilt, EMGinfo.Causality);
  otherwise, error(['Bogus "SmoothFilt" = "' EMGinfo.SmoothFilt '".']);
end
