function EMGout = e_amp_un(EMGin, EMGinfo)
%E_AMP_UN Private global function to perform spatial uncorrelation.
%
% EMG Amplitude Estimation Toolbox - Ted Clancy - WPI

% Copyright (c) Edward A. Clancy, 2007.
% This work is licensed under the Aladdin free public license.
% For copying permissions see license.txt.
% email: ted@wpi.edu

% 5 February 2007.

switch EMGinfo.UncorrFlag
  case {'On', 'GainOnly'}
    EMGout = e_uncorr(EMGin, EMGinfo.UncorrHspace);
  case 'Off'
    EMGout = EMGin;
  otherwise, error(['Bogus "UncorrFlag" = "' EMGinfo.UncorrFlag '".']);
end
